import { of } from 'rxjs';
import { delay } from 'rxjs/operators';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { DatePipe } from '@angular/common';
import { NgxPaginationModule } from 'ngx-pagination';
import { Router } from '@angular/router';
import { Injectable, Component, Input, EventEmitter, Output, HostListener, NgModule, CUSTOM_ELEMENTS_SCHEMA, defineInjectable } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibService = /** @class */ (function () {
    function OmnipresentWebLibService() {
    }
    /**
     * @return {?}
     */
    OmnipresentWebLibService.prototype.sendData = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var data = "data";
        return of(data).pipe(delay(2000));
    };
    OmnipresentWebLibService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    OmnipresentWebLibService.ctorParameters = function () { return []; };
    /** @nocollapse */ OmnipresentWebLibService.ngInjectableDef = defineInjectable({ factory: function OmnipresentWebLibService_Factory() { return new OmnipresentWebLibService(); }, token: OmnipresentWebLibService, providedIn: "root" });
    return OmnipresentWebLibService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibComponent = /** @class */ (function () {
    function OmnipresentWebLibComponent() {
    }
    /**
     * @return {?}
     */
    OmnipresentWebLibComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    OmnipresentWebLibComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-omnipresent-web-lib',
                    template: "\n    <p>\n      omnipresent-web-lib works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    OmnipresentWebLibComponent.ctorParameters = function () { return []; };
    return OmnipresentWebLibComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var User = /** @class */ (function () {
    function User() {
    }
    return User;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LoginComponent = /** @class */ (function () {
    function LoginComponent() {
        this.emailPassword = true;
        this.google = true;
        this.twitter = true;
        this.googleEventEmitter = new EventEmitter();
        this.twitterEventEmitter = new EventEmitter();
        this.emailEventEmitter = new EventEmitter();
    }
    /**
     * @return {?}
     */
    LoginComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.user = new User();
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithGoogle = /**
     * @return {?}
     */
    function () {
        this.googleEventEmitter.emit(true);
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithTwitter = /**
     * @return {?}
     */
    function () {
        this.twitterEventEmitter.emit(true);
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithEmail = /**
     * @return {?}
     */
    function () {
        this.emailEventEmitter.emit(this.user);
    };
    LoginComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-login',
                    template: "<div class=\"login\">\n    <div class=\"email-password\" *ngIf=\"emailPassword\">\n        <input [(ngModel)]=\"user.email\" type=\"text\" placeholder=\"Email\" #userEmail required autofocus>\n        <input [(ngModel)]=\"user.password\" type=\"password\" placeholder=\"Password\" #userPassword required>\n        <button (click)=\"loginWithEmail()\">Login</button>\n        <div class=\"divider\">\n            <div class=\"bar\"></div>\n            <span class=\"login-or\">OR</span>\n            <div class=\"bar\"></div>\n        </div>\n    </div>\n    <button *ngIf=\"twitter\" class=\"register-button twitter\" (click)=\"loginWithTwitter()\">\n      <i class=\"fab fa-twitter\"></i>\n      <span>Login with Twitter</span>\n    </button>\n    <button *ngIf=\"google\" class=\"register-button google\" (click)=\"loginWithGoogle()\">\n      <i class=\"fab fa-google\"></i>\n      <span>Login with Google</span>\n    </button>\n</div>\n",
                    styles: [".login{text-align:center;display:-ms-grid;display:grid;margin:auto;max-width:400px}.twitter{background-color:#60b5f0}.google{background-color:#db3236}i{margin-right:10px}.divider{display:flex;justify-content:center;margin:20px}.divider .bar{border-bottom:2px solid #2c3e50;margin:5px;width:35%}.email-password{text-align:center;display:-ms-grid;display:grid;margin:auto;width:100%}"]
                }] }
    ];
    /** @nocollapse */
    LoginComponent.ctorParameters = function () { return []; };
    LoginComponent.propDecorators = {
        emailPassword: [{ type: Input }],
        google: [{ type: Input }],
        twitter: [{ type: Input }],
        googleEventEmitter: [{ type: Output }],
        twitterEventEmitter: [{ type: Output }],
        emailEventEmitter: [{ type: Output }]
    };
    return LoginComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ViewImageComponent = /** @class */ (function () {
    function ViewImageComponent() {
        this.weekIms = [];
        this.counter1 = 0;
        this.show = false;
    }
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.picterno = 0;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.ngDoCheck = /**
     * @return {?}
     */
    function () {
        if (this.data) {
            this.counter1++;
            if (this.counter1 == 1) {
                this.assignImages();
            }
        }
        else {
            this.images = [];
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.OnRight = /**
     * @return {?}
     */
    function () {
        if (this.picterno + 8 < this.data.length) {
            this.picterno += 8;
            this.assignImages();
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.OnLeft = /**
     * @return {?}
     */
    function () {
        if (this.picterno - 8 > -1) {
            this.picterno -= 8;
            this.assignImages();
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.assignImages = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var tempImg = [];
        for (var i = 0; i < 8; i++) {
            tempImg.push(this.data[i + this.picterno]);
            this.images = tempImg;
        }
    };
    /**
     * @param {?} imageno
     * @return {?}
     */
    ViewImageComponent.prototype.clickImage = /**
     * @param {?} imageno
     * @return {?}
     */
    function (imageno) {
        this.assignImages();
        this.show = true;
        this.selectedImage = this.images.indexOf(this.imageno);
        this.mainImage = this.imageno;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.closeImage = /**
     * @return {?}
     */
    function () {
        this.show = false;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.next = /**
     * @return {?}
     */
    function () {
        if (this.selectedImage < this.images.length - 1) {
            this.selectedImage += 1;
            this.mainImage = this.images[this.selectedImage];
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.prev = /**
     * @return {?}
     */
    function () {
        if (this.selectedImage > -1) {
            this.selectedImage -= 1;
            this.mainImage = this.images[this.selectedImage];
        }
    };
    ViewImageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'OIV-view-image',
                    template: "\n<div class=\"container\">\n  <div class=\"view\" *ngFor=\"let image of images\">\n    <img class=\"main\" [src]=\"image\" (click)=\"clickImage(this.imageno = image)\">\n  </div>\n</div>\n<div id=\"myModal\" class=\"modal\" *ngIf=\"show\">\n  <div class=\"modal-content\">\n    <span class=\"close\" (click)=\"closeImage()\">&times;</span>\n    <img [src]=\"mainImage\" class=\"main1\">\n    <div class=\"modalcontainer\">\n        <button type=\"button\" class=\"btns\" (click)=\"prev()\">prev</button>\n\n        <button type=\"button\" class=\"btns\" (click)=\"next()\" >next</button>\n    </div>\n  </div>\n</div>\n<div class=\"buttoncontainer\">\n    <button type=\"button\" class=\"btns\" (click)=\"OnLeft()\" >prev</button>\n    <button type=\"button\" class=\"btns\" (click)=\"OnRight()\">next</button>\n</div>\n",
                    styles: [".icons{opacity:.9;z-index:-1}.main1{-o-object-fit:contain;object-fit:contain;max-width:80%;max-height:80%;margin:auto}.main{max-width:100%;opacity:1;box-shadow:0 8px 16px rgba(black,.45);justify-content:space-between}.main:hover{max-width:100%;opacity:.2}.row{display:flex;border:5px solid #000}.container{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;-ms-grid-rows:auto auto;grid-template-rows:auto auto;grid-gap:50px;background-color:rgba(255,255,255,.1);height:98%;margin-top:10%}.modalcontainer{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;grid-gap:50px;margin-bottom:1%;position:fixed;bottom:25%;right:30%}.buttoncontainer{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;grid-gap:50px;position:fixed;bottom:1%;right:30%}.container>div{background-color:rgba(255,255,255,.8);text-align:center;width:100%;font-size:30px}.mainDisplay{background-color:rgba(255,255,255,.2);padding:10px;width:98%;box-shadow:5px 10px 8px #888}.view{background-color:rgba(255,255,255,.7);box-shadow:5px 10px 8px #888}.modal{display:block;position:fixed;z-index:1;left:0;top:0;width:100%;height:100%;overflow:auto;background-color:rgba(0,0,0,.4)}.modal-content{-o-object-fit:cover;object-fit:cover;background-color:#fefefe;margin-top:5%;margin-left:10%;padding:20px;border:1px solid #888;width:80%;height:80%}.close{color:#aaa;float:right;font-size:28px;font-weight:700}.close:focus,.close:hover{color:#000;text-decoration:none;cursor:pointer}.btns{border-radius:4px;width:50px;height:50px}@media (max-width:400px){.container{display:list-item;-ms-grid-columns:100%;grid-template-columns:100%;-ms-grid-rows:100%;grid-template-rows:100%;grid-gap:10px;padding:10px}}"]
                }] }
    ];
    /** @nocollapse */
    ViewImageComponent.ctorParameters = function () { return []; };
    ViewImageComponent.propDecorators = {
        data: [{ type: Input }]
    };
    return ViewImageComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var TableComponent = /** @class */ (function () {
    function TableComponent() {
        this.color = 'rgb(135,206,235)';
        this.p = 1;
        this.pageChanged = new EventEmitter();
        this.rowClicked = new EventEmitter();
    }
    /**
     * @return {?}
     */
    TableComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @return {?}
     */
    TableComponent.prototype.ngDoCheck = /**
     * @return {?}
     */
    function () {
        this.setDataKeys();
    };
    /**
     * @param {?} i
     * @return {?}
     */
    TableComponent.prototype.getColor = /**
     * @param {?} i
     * @return {?}
     */
    function (i) {
        /** @type {?} */
        var lighterColor = this.color.replace(')', ', 0.5)');
        if (i % 2 === 0 && i !== 0) {
            i = 'odd';
        }
        if (this.data && (this.data.length - 1 === i)) {
            i = 'last';
        }
        switch (i) {
            case i = 0: return this.color;
            case i = 'odd': return this.color;
        }
        return lighterColor;
    };
    /**
     * @return {?}
     */
    TableComponent.prototype.setDataKeys = /**
     * @return {?}
     */
    function () {
        if (this.data) {
            this.dataKeys = Object.keys(this.data[0]);
        }
        else if (this.page) {
            this.dataKeys = Object.keys(this.page.content[0]);
        }
        else {
            this.dataKeys = [];
        }
    };
    /**
     * @param {?} item
     * @return {?}
     */
    TableComponent.prototype.rowclicked = /**
     * @param {?} item
     * @return {?}
     */
    function (item) {
        this.rowClicked.emit(item);
        console.log(item);
    };
    TableComponent.decorators = [
        { type: Component, args: [{
                    selector: 'tables-table',
                    template: "<div class=\"table-content\">\n  <h2 class=\"title\">{{header}}</h2>\n  <table *ngIf=\"data\">\n      <thead>\n       <tr class=\"table-row table-header\">\n          <th  *ngFor=\"let header of headers\">{{header}}</th>\n      </tr>\n      </thead>\n      <tbody>\n       <tr class=\"data-row\" *ngFor=\"let item of data; let i =index\"  [ngStyle]=\"{'background-color':getColor(i)}\" (click)=\"rowclicked(item)\">\n        <td *ngFor=\"let item of dataKeys\" [title]='item'>\n          <tables-data-field [data]=\"data[i][item]\"></tables-data-field>\n        </td>\n\n      </tr>\n    </tbody>\n  </table>\n    <table *ngIf=\"page\">\n      <thead>\n      <tr class=\"table-row table-header\">\n        <th  *ngFor=\"let header of headers\">{{header}}</th>\n    </tr>\n  </thead>\n  <tbody>\n      <tr class=\"data-row\" *ngFor=\"let item of page.content | paginate: {\n                                    itemsPerPage: page.pageable.pageSize,\n                                    currentPage: p,\n                                    totalItems:page.totalElements\n                                    };\n                                    let i =index\"  [ngStyle]=\"{'background-color':getColor(i)}\" (click)=\"rowclicked(item)\">\n      <td class=\"rowCont\" *ngFor=\"let item of dataKeys\" [title]='item'>\n        <tables-data-field [data]=\"page.content[i][item]\"></tables-data-field>\n      </td>\n\n    </tr>\n  </tbody>\n  </table>\n  <div class=\"flexbox\"></div>\n  <pagination-controls   class=\"ngx-pagination\"\n                        (pageChange)=\"pageChanged.emit($event); p=$event\"\n                        directionLinks=\"true\"\n                        autoHide=\"true\"\n                        responsive=\"true\"\n                        previousLabel=\"Previous\"\n                        nextLabel=\"Next\"\n                        screenReaderPaginationLabel=\"Pagination\"\n                        screenReaderPageLabel=\"page\"\n                        screenReaderCurrentLabel=\"You're on page\"\n  ></pagination-controls>\n</div>\n\n\n",
                    styles: [".title{text-align:center}table{border-collapse:collapse;width:100%}td,th{text-align:center;padding:8px}.button-style{background:0 0;border:1px solid #61a3e5;border-radius:21px;padding:7px 40px 7px 20px;color:#61a3e5;font-size:17px;cursor:pointer;transition:.3s}.flex-container{display:flex;justify-content:center}.flex-container>div{background-color:rgba(0,0,0,0);padding:20px;font-size:30px}.pagControls{right:1500px}.flexbox{margin:auto;align-self:center;background-color:red;display:flex;justify-content:center;width:200%}/deep/ .ngx-pagination{padding:0;text-align:center}@media (max-width:415px){table{width:100%}table,tbody,td,th,thead,tr{display:block;font-size:12px}thead tr{position:absolute;top:-9999px;left:-9999px}th{font-style:italic}tr{border:1px solid #ccc}td{border:none;border-bottom:1px solid #eee;position:relative;padding-left:50%}td:before{position:absolute;top:6px;left:6px;width:45%;padding-right:10px;white-space:nowrap;content:attr(title);color:#000;font-weight:700}}"]
                }] }
    ];
    /** @nocollapse */
    TableComponent.ctorParameters = function () { return []; };
    TableComponent.propDecorators = {
        header: [{ type: Input }],
        headers: [{ type: Input }],
        data: [{ type: Input }],
        page: [{ type: Input }],
        color: [{ type: Input }],
        pageChanged: [{ type: Output }],
        rowClicked: [{ type: Output }]
    };
    return TableComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ModalComponent = /** @class */ (function () {
    function ModalComponent() {
    }
    /**
     * @return {?}
     */
    ModalComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @return {?}
     */
    ModalComponent.prototype.exit = /**
     * @return {?}
     */
    function () {
        this.modalOpen = !this.modalOpen;
        console.log('modal closed');
    };
    ModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-modal',
                    template: "<div [ngClass]=\"modalOpen ? 'live' : 'none'\" id=\"modal-container\">\n  <div  class=\"modal-background\">\n    <div class=\"modal\">\n      <span class=\"right-side\" (click)=\"exit()\"><i class=\"fas fa-times\"></i></span>\n      <ng-content></ng-content>\n  </div>\n</div>\n",
                    styles: [".right-side{text-align:right;margin:20px}#modal-container{position:fixed;display:table;height:100%;width:100%;top:0;left:0;-webkit-transform:scale(0);transform:scale(0);z-index:1}#modal-container.live{-webkit-transform:scale(1);transform:scale(1)}#modal-container.live .modal-background{background:#000;-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards fadeIn;animation:.5s cubic-bezier(.165,.84,.44,1) forwards fadeIn}#modal-container.live .modal-background .modal{opacity:0;-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleUp;animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleUp}#modal-container.live+.content{-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleBack;animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleBack}#modal-container.live.out{-webkit-animation:0s linear .5s forwards quickScaleDown;animation:0s linear .5s forwards quickScaleDown}#modal-container.live.out .modal-background{-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards fadeOut;animation:.5s cubic-bezier(.165,.84,.44,1) forwards fadeOut}#modal-container.live.out .modal-background .modal{-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleDown;animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleDown}#modal-container.live.out+.content{-webkit-animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleForward;animation:.5s cubic-bezier(.165,.84,.44,1) forwards scaleForward}#modal-container .modal-background{display:table-cell;background:rgba(0,0,0,.8);text-align:center;vertical-align:middle}#modal-container .modal-background .modal{background:#fff;padding:50px;display:inline-block;border-radius:3px;font-weight:300;position:relative;display:-ms-inline-grid;display:inline-grid}#modal-container .modal-background .modal h2{font-size:25px;line-height:25px;margin-bottom:15px}#modal-container .modal-background .modal p{font-size:18px;line-height:22px}#modal-container .modal-background .modal .modal-svg rect{stroke:#fff;stroke-width:2px;stroke-dasharray:778;stroke-dashoffset:778}@-webkit-keyframes fadeIn{0%{background:rgba(0,0,0,0)}100%{background:rgba(0,0,0,.7)}}@keyframes fadeIn{0%{background:rgba(0,0,0,0)}100%{background:rgba(0,0,0,.7)}}@-webkit-keyframes fadeOut{0%{background:rgba(0,0,0,.7)}100%{background:rgba(0,0,0,0)}}@keyframes fadeOut{0%{background:rgba(0,0,0,.7)}100%{background:rgba(0,0,0,0)}}@-webkit-keyframes scaleUp{0%{-webkit-transform:scale(.8) translateY(1000px);transform:scale(.8) translateY(1000px);opacity:0}100%{-webkit-transform:scale(1) translateY(0);transform:scale(1) translateY(0);opacity:1}}@keyframes scaleUp{0%{-webkit-transform:scale(.8) translateY(1000px);transform:scale(.8) translateY(1000px);opacity:0}100%{-webkit-transform:scale(1) translateY(0);transform:scale(1) translateY(0);opacity:1}}@-webkit-keyframes scaleBack{0%{-webkit-transform:scale(1);transform:scale(1)}100%{-webkit-transform:scale(.85);transform:scale(.85)}}@keyframes scaleBack{0%{-webkit-transform:scale(1);transform:scale(1)}100%{-webkit-transform:scale(.85);transform:scale(.85)}}@-webkit-keyframes quickScaleDown{0%,99.9%{-webkit-transform:scale(1);transform:scale(1)}100%{-webkit-transform:scale(0);transform:scale(0)}}@keyframes quickScaleDown{0%,99.9%{-webkit-transform:scale(1);transform:scale(1)}100%{-webkit-transform:scale(0);transform:scale(0)}}@-webkit-keyframes scaleDown{0%{-webkit-transform:scale(1) translateY(0);transform:scale(1) translateY(0);opacity:1}100%{-webkit-transform:scale(.8) translateY(1000px);transform:scale(.8) translateY(1000px);opacity:0}}@keyframes scaleDown{0%{-webkit-transform:scale(1) translateY(0);transform:scale(1) translateY(0);opacity:1}100%{-webkit-transform:scale(.8) translateY(1000px);transform:scale(.8) translateY(1000px);opacity:0}}@-webkit-keyframes scaleForward{0%{-webkit-transform:scale(.85);transform:scale(.85)}100%{-webkit-transform:scale(1);transform:scale(1)}}@keyframes scaleForward{0%{-webkit-transform:scale(.85);transform:scale(.85)}100%{-webkit-transform:scale(1);transform:scale(1)}}"]
                }] }
    ];
    /** @nocollapse */
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        modalOpen: [{ type: Input }]
    };
    return ModalComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var SideNavComponent = /** @class */ (function () {
    function SideNavComponent(router) {
        this.router = router;
        this.expanded = false;
        /** @type {?} */
        var initialMenuItem = {
            name: 'Login',
            icon: '',
            path: 'login',
            component: LoginComponent,
        };
        this.menuItems = [initialMenuItem];
        this.selectedMenuItem = this.menuItems[0];
    }
    /**
     * @return {?}
     */
    SideNavComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} menuItem
     * @param {?} event
     * @return {?}
     */
    SideNavComponent.prototype.expandMenu = /**
     * @param {?} menuItem
     * @param {?} event
     * @return {?}
     */
    function (menuItem, event) {
        event.stopPropagation();
        this.selectedMenuItem = menuItem;
        this.expanded = true;
    };
    /**
     * @param {?} event
     * @return {?}
     */
    SideNavComponent.prototype.clickout = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        this.expanded = false;
    };
    /**
     * @param {?} item
     * @return {?}
     */
    SideNavComponent.prototype.goTo = /**
     * @param {?} item
     * @return {?}
     */
    function (item) {
        this.router.navigate([item.path]);
    };
    SideNavComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-side-nav',
                    template: "<div class=\"side-nav\">\n  <div  class=\"menu\">\n      <button (click)=\"goTo(item)\" *ngFor=\"let item of menuItems\" href=\"#\"><i [className]=\"item.icon\"></i>{{item.name}}</button>\n  </div>\n</div>\n\n",
                    styles: [".menu{height:100%;display:flex;z-index:2;background-color:#2c3e50;overflow-x:hidden}.menu button{padding:6px;text-decoration:none;background:0 0;border:none;font-size:18px;box-shadow:none}.menu button:hover{color:#fff}@media screen and (max-height:815px){.menu{padding:10px;position:unset;flex-direction:row;justify-content:center}.expanded{padding:10px;position:unset;flex-direction:column;justify-content:center}.side-nav{height:auto;display:block;position:unset}}@media screen and (min-height:816px){.menu{padding:0 1%;flex-direction:column;justify-content:center}.expanded{display:flex;padding:0 2%;flex-direction:column}.expanded p{max-width:170px}.side-nav{height:100%;display:flex;position:fixed}}.expanded{height:100%;width:auto;display:flex;z-index:1;background-color:gray;color:#fff;overflow-x:hidden}.expanded hr{border-top:1px dotted #16a085;border-bottom:none;width:90%}.expanded a{padding:6px;text-decoration:none;font-size:18px;display:block;color:#fff}.expanded a:visited{color:#fff}.expanded a:hover{color:#1abc9c}.expanded a:active{color:#fff}.side-nav{z-index:1;overflow-x:hidden;top:0;left:0;flex-direction:row}"]
                }] }
    ];
    /** @nocollapse */
    SideNavComponent.ctorParameters = function () { return [
        { type: Router }
    ]; };
    SideNavComponent.propDecorators = {
        menuItems: [{ type: Input }],
        clickout: [{ type: HostListener, args: ['document:click', ['$event'],] }]
    };
    return SideNavComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var HeaderComponent = /** @class */ (function () {
    function HeaderComponent() {
        this.loginEventEmitter = new EventEmitter();
        this.logoutEventEmitter = new EventEmitter();
    }
    /**
     * @return {?}
     */
    HeaderComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.logincheck();
        this.assignheadings();
    };
    /**
     * @return {?}
     */
    HeaderComponent.prototype.ngDoCheck = /**
     * @return {?}
     */
    function () {
        this.logincheck();
    };
    /**
     * @return {?}
     */
    HeaderComponent.prototype.logincheck = /**
     * @return {?}
     */
    function () {
        if (this.isloggedin) {
            this.loggedin = this.isloggedin;
        }
        else {
            this.loggedin = false;
        }
        console.log("logincheck");
    };
    /**
     * @return {?}
     */
    HeaderComponent.prototype.assignheadings = /**
     * @return {?}
     */
    function () {
        if (this.headings) {
            this.navitems = this.headings;
        }
        else {
            this.navitems = ["Home", "About"];
        }
    };
    /**
     * @return {?}
     */
    HeaderComponent.prototype.login = /**
     * @return {?}
     */
    function () {
        this.loginEventEmitter.emit(true);
    };
    /**
     * @return {?}
     */
    HeaderComponent.prototype.logout = /**
     * @return {?}
     */
    function () {
        this.logoutEventEmitter.emit(false);
    };
    HeaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-header',
                    template: "<div class=\"header-container\" [ngStyle]=\"{'background-color': HeaderBarColor}\">\n  <div class=\"title-container\">\n    <h1 [ngStyle]=\"{'color': titleColor}\">{{title}}<span><img [src]=\"logo\" *ngIf=\"logo\"></span></h1>\n  </div>\n  <div class=\"navigation-container\">\n    <div class= \"navcontent\">\n      <a href=\"#\" *ngFor=\"let item of navitems\">{{item}}</a>\n    </div>\n    <div class=\"userdetails\" *ngIf=\"!loggedin\">\n      <div class=\"useroptions\">\n      </div>\n      <div class=\"login-logout\">\n        <button class=\"btn-login\" (click)=\"login()\">login</button>\n      </div>\n    </div>\n    <div class=\"userdetails\" *ngIf=\"loggedin\">\n        <div class=\"useroptions\">\n          <!-- <notification component goes here> -->\n        </div>\n        <div class=\"login-logout\">\n          <button class=\"btn-logout\" (click)=\"logout()\">log out</button>\n        </div>\n    </div>\n  </div>\n</div>\n",
                    styles: [".header-container{display:flex;position:fixed;height:10%;background-color:rgba(10,10,10,.7);box-shadow:0 1px 1px #ccc}.title-container{text-align:center;width:50%}.navigation-container{text-align:center;width:50%;display:flex;justify-content:center;overflow:hidden}.title-container .navigation-container a{font:16px/40px Arial,Helvetica,sans-serif;display:inline-block;float:right;padding:0 5px;text-decoration:none;color:#fff}a{padding:5px;color:#f5f5f5;text-underline-position:unset}a:hover{color:#ccc}.navcontent{display:flexbox;margin:30px;width:70%}.userdetails{width:40%;display:flex}.useroptions{width:70%}.login-logout{width:40%;margin-top:15px;justify-content:center}"]
                }] }
    ];
    /** @nocollapse */
    HeaderComponent.ctorParameters = function () { return []; };
    HeaderComponent.propDecorators = {
        isloggedin: [{ type: Input }],
        username: [{ type: Input }],
        profilePic: [{ type: Input }],
        logo: [{ type: Input }],
        title: [{ type: Input }],
        headings: [{ type: Input }],
        titleColor: [{ type: Input }],
        HeaderBarColor: [{ type: Input }],
        loginEventEmitter: [{ type: Output }],
        logoutEventEmitter: [{ type: Output }]
    };
    return HeaderComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LoadingSpinnerComponent = /** @class */ (function () {
    function LoadingSpinnerComponent() {
    }
    /**
     * @return {?}
     */
    LoadingSpinnerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    LoadingSpinnerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-loading-spinner',
                    template: "<div class=\"mainLoaderContainer\" *ngIf=\"loading\">\n  <span class=\"loaderSpan span1\"></span>\n  <span class=\"loaderSpan span2\"></span>\n  <span class=\"loaderSpan span3\"></span>\n  <span class=\"loaderSpan span4\"></span>\n  <span class=\"loaderSpan span5\"></span>\n  <span class=\"loaderSpan span6\"></span>\n  <span class=\"loaderSpan span7\"></span>\n  <span class=\"loaderSpan span8\"></span>\n  <span class=\"loaderSpan span9\"></span>\n</div>\n",
                    styles: [".mainLoaderContainer{width:400px;height:400px;display:flex;align-items:center;justify-content:center}.loaderSpan{position:absolute;border-radius:50%}.span1{width:50px;height:50px;border:4px solid #d500f9;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.4s ease-in-out infinite rotate;animation:1.4s ease-in-out infinite rotate}.span2{width:60px;height:60px;border:4px solid #e91e63;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.35s ease-in-out infinite rotate;animation:1.35s ease-in-out infinite rotate}.span3{width:70px;height:70px;border:4px solid #26a69a;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.3s ease-in-out infinite rotate;animation:1.3s ease-in-out infinite rotate}.span4{width:80px;height:80px;border:4px solid #cddc39;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.25s ease-in-out infinite rotate;animation:1.25s ease-in-out infinite rotate}.span5{width:90px;height:90px;border:4px solid #7cb342;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.2s ease-in-out infinite rotate;animation:1.2s ease-in-out infinite rotate}.span6{width:100px;height:100px;border:4px solid #ffa726;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.15s ease-in-out infinite rotate;animation:1.15s ease-in-out infinite rotate}.span7{width:110px;height:110px;border:4px solid #ff8a65;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.1s ease-in-out infinite rotate;animation:1.1s ease-in-out infinite rotate}.span8{width:120px;height:120px;border:4px solid #ef5350;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1.05s ease-in-out infinite rotate;animation:1.05s ease-in-out infinite rotate}.span9{width:130px;height:130px;border:4px solid #4a148c;border-top:4px solid transparent;border-left:4px solid transparent;-webkit-animation:1s ease-in-out infinite rotate;animation:1s ease-in-out infinite rotate}@-webkit-keyframes rotate{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes rotate{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}"]
                }] }
    ];
    /** @nocollapse */
    LoadingSpinnerComponent.ctorParameters = function () { return []; };
    LoadingSpinnerComponent.propDecorators = {
        loading: [{ type: Input }]
    };
    return LoadingSpinnerComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibModule = /** @class */ (function () {
    function OmnipresentWebLibModule() {
    }
    OmnipresentWebLibModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        OmnipresentWebLibComponent,
                        LoginComponent,
                        ViewImageComponent,
                        TableComponent,
                        ModalComponent,
                        SideNavComponent,
                        HeaderComponent,
                        LoadingSpinnerComponent
                    ],
                    imports: [
                        BrowserModule,
                        FormsModule,
                        NgxPaginationModule
                    ],
                    exports: [
                        OmnipresentWebLibComponent,
                        LoginComponent,
                        ViewImageComponent,
                        TableComponent,
                        ModalComponent,
                        SideNavComponent,
                        HeaderComponent,
                        LoadingSpinnerComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [DatePipe]
                },] }
    ];
    return OmnipresentWebLibModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { OmnipresentWebLibService, OmnipresentWebLibComponent, OmnipresentWebLibModule, HeaderComponent as ɵf, LoadingSpinnerComponent as ɵg, LoginComponent as ɵa, ModalComponent as ɵd, SideNavComponent as ɵe, TableComponent as ɵc, ViewImageComponent as ɵb };

//# sourceMappingURL=omnipresent-omnipresent-web-lib.js.map