export declare class Page {
    content: any[];
    pageable: Pageable;
    totalPages: boolean;
    totalElements: boolean;
    last: boolean;
    first: boolean;
    sort: Sort;
    numberOfElements: number;
    size: number;
    number: number;
    empty: boolean;
}
export declare class Sort {
    sorted: boolean;
    unsorted: boolean;
    empty: boolean;
}
export declare class Pageable {
    sort: Sort;
    pageSize: number;
    pageNumber: number;
    offset: number;
    paged: boolean;
    unpaged: boolean;
}
